Debian Bug report logs - #554174
ghc6: Segfaults at startup

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>

Date: Tue, 3 Nov 2009 16:54:02 UTC

Severity: important

Tags: help, moreinfo, unreproducible

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lusuarda@cs.unibo.it, Kari Pahula <kaol@debian.org>:
Bug#554174; Package ghc6. (Tue, 03 Nov 2009 16:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
New Bug report received and forwarded. Copy sent to lusuarda@cs.unibo.it, Kari Pahula <kaol@debian.org>. (Tue, 03 Nov 2009 16:54:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghc6: Segfaults at startup
Date: Tue, 03 Nov 2009 16:57:43 +0100
Package: ghc6
Version: 6.10.4-1
Severity: grave
Justification: renders package unusable

Hi,
i am beginning to work with haskell and i needed a compiler, so i just

aptitude install ghc

and it provided the ghci command line interactive interpreter, which, when run:

uovobw@flatline:~$ ghci
GHCi, version 6.10.4: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer ... linking ... done.
Loading package base ... linking ... done.
Segmentation fault
uovobw@flatline:~$ 

causes a segmentation fault...
I tried writing a short haskell program and it works if i use ghc directly.
I also noticed that the one that segfaults seems to be ghc itself:

flatline kernel: ghc[7063] segfault at 0 ip 08b9c87b sp bfb7c23c error 4 in ghc[8048000+c5b000]

At this point, i don't know where to look. Thanks for the time, should any
other new information be needed, let me know. 
regards

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-rc5 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=it_IT, LC_CTYPE=it_IT (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghc6 depends on:
ii  gcc                       4:4.3.3-9+nmu1 The GNU C compiler
ii  libc6                     2.10.1-2       GNU C Library: Shared libraries
ii  libffi-dev                3.0.9~rc1-1    Foreign Function Interface library
ii  libffi5                   3.0.9~rc1-1    Foreign Function Interface library
ii  libgmp3-dev               2:4.3.1+dfsg-3 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.3.1+dfsg-3 Multiprecision arithmetic library
ii  libncursesw5              5.7+20090803-2 shared libraries for terminal hand
ii  perl [perl5]              5.10.1-5       Larry Wall's Practical Extraction 

ghc6 recommends no packages.

Versions of packages ghc6 suggests:
pn  ghc6-doc                      <none>     (no description available)
pn  ghc6-prof                     <none>     (no description available)
pn  haskell-doc                   <none>     (no description available)

-- no debconf information




Message sent on to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug#554174. (Fri, 12 Feb 2010 10:24:03 GMT) Full text and rfc822 format available.

Message #8 received at 554174-submitter@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 554174-submitter@bugs.debian.org
Subject: Does ghci still crash for you?
Date: Fri, 12 Feb 2010 12:19:51 +0200
Sorry about deferring replying to this.  I was busy getting 6.12.1
packaged and didn't want to consider problems with 6.10 too much
before getting that done.

I still run i386 system on my computer and ghci has worked for me all
the time.  I'm not sure why it doesn't for you.  I'm sure that I would
have received plenty of more reports about it if it was a more wide
spread problem and plenty of people have tested ghci in 6.12.1 while
we were working on getting it packaged.

Does ghci crash for you every time or only occasionally?  Does the
problem persist with ghci in 6.12.1?  Is it possible that you could
have hardware problems?  Could you try running memtest?




Information stored :
Bug#554174; Package ghc6. (Fri, 12 Feb 2010 10:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Fri, 12 Feb 2010 10:57:09 GMT) Full text and rfc822 format available.

Message #13 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
To: Kari Pahula <kaol@debian.org>, 554174-quiet@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 12 Feb 2010 11:49:15 +0100
[Message part 1 (text/plain, inline)]
On Fri, 12 Feb 2010 12:19:51 +0200
Kari Pahula <kaol@debian.org> wrote:

> Sorry about deferring replying to this.  I was busy getting 6.12.1
> packaged and didn't want to consider problems with 6.10 too much
> before getting that done.

no problem at all, i used the precompiled version from the website in
the meantime. thanks for the answer!
 
> Does ghci crash for you every time or only occasionally? 

the compiler ghc, invoked from command line, works perfectly. the
interactive interpreter segfaults each and every time i start it, it
does not even get to the prompt.

> Does the
> problem persist with ghci in 6.12.1?  

uovobw@flatline:~$ ghci
GHCi, version 6.12.1: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Segmentation fault
uovobw@flatline:~$ 

yes, it does...i really have no idea about what could be wrong, the
behaviour seems to persist no matter the version i try. also, in dmesg:

flatline kernel: ghc[809] segfault at 0 ip 000000000178d776 sp
00007fffe9741730 error 4 in ghc[400000+1528000]

> Is it possible that you could
> have hardware problems?  Could you try running memtest?

i do not think the hardware might be a problem (the laptop i run it on
is almost new and i use it for many other computational intensive taks
and it works just fine), but i run memtest overnight and - after a lot of passes
- it reported no error.
Need any other information or debugging, just ask.
Sorry for the strange bug report and thanks for your time.
regards


-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#554174; Package ghc6. (Fri, 12 Feb 2010 11:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Fri, 12 Feb 2010 11:03:09 GMT) Full text and rfc822 format available.

Message #18 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
To: Kari Pahula <kaol@debian.org>, 554174-quiet@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 12 Feb 2010 11:51:24 +0100
[Message part 1 (text/plain, inline)]
Even more information, i just noticed the line _above_ the one of the
segmentation fault:

flatline kernel: show_signal_msg: 94 callbacks suppressed 

It has the very same timestamp of the segfault message, might the two
things be related? i will try to convince rsyslogd not to suppress the
messages and will post them soon.
thanks again and sorry for the duplication

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug#554174. (Fri, 12 Feb 2010 12:15:09 GMT) Full text and rfc822 format available.

Message #21 received at 554174-submitter@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 554174-submitter@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 12 Feb 2010 14:11:55 +0200
I asked upstream to have a look at this.

Do you have SElinux enabled?  They said that this could be related to
that.

Also, could you run strace -f ghci and get a gdb stack trace of the
bug?




Information stored :
Bug#554174; Package ghc6. (Fri, 12 Feb 2010 13:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Fri, 12 Feb 2010 13:12:02 GMT) Full text and rfc822 format available.

Message #26 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
To: Kari Pahula <kaol@debian.org>, 554174-quiet@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 12 Feb 2010 14:06:17 +0100
[Message part 1 (text/plain, inline)]
On Fri, 12 Feb 2010 14:11:55 +0200
Kari Pahula <kaol@debian.org> wrote:

> I asked upstream to have a look at this.

thanks, sorry for the inconvenience.

> Do you have SElinux enabled?  They said that this could be related to
> that.

no, i do not have SElinux in the kernel enabled (i have the userspace
tools but they're not running, since i do not need them and i run a
kernel without selinux)

> Also, could you run strace -f ghci and get a gdb stack trace of the
> bug?

i hope running 

strace -f ghci &> log

is enough.
the log, gzipped, is attached.
If the trace is wrong, i will provide a new one soon, i will be away
from this keyboard for the next couple of hours, so my answers could be
delayed a little.
thanks again!


-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[log.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Message sent on to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug#554174. (Fri, 12 Feb 2010 13:42:04 GMT) Full text and rfc822 format available.

Message #29 received at 554174-submitter@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 554174-submitter@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 12 Feb 2010 15:39:20 +0200
Let's try out some more things.

Please try
gdb --args /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1/ --interactive

and type "where" when you get the segfault.




Information stored :
Bug#554174; Package ghc6. (Fri, 12 Feb 2010 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Fri, 12 Feb 2010 14:39:04 GMT) Full text and rfc822 format available.

Message #34 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
To: Kari Pahula <kaol@debian.org>, 554174-quiet@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 12 Feb 2010 15:37:46 +0100
[Message part 1 (text/plain, inline)]
On Fri, 12 Feb 2010 15:39:20 +0200
Kari Pahula <kaol@debian.org> wrote:

> Let's try out some more things.
> 
> Please try
> gdb --args /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1/
> --interactive
> 
> and type "where" when you get the segfault.
> 

i think there might be something wrong wih what i am doing, because i
get:

uovobw@flatline:~$ gdb --args /usr/lib/ghc-6.12.1/lib/ghc
-B/usr/lib/ghc-6.12.1/ --interactive 
[snip the license]
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib/ghc-6.12.1/lib/ghc...(no debugging
symbols found)...done. 
(gdb) where
No stack.
(gdb) 

that "no debugging symbols found" made me think i need to install the
ghc6-gdb package, but i can't find it in the repositories. there is a
ghc6-prof package, but from apt i read it's used for profiling, and
installing it in fact does not change the output. Hints?
thanks again

-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) unreproducible, help, and moreinfo. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Sun, 14 Feb 2010 10:12:06 GMT) Full text and rfc822 format available.

Information stored :
Bug#554174; Package ghc6. (Mon, 22 Feb 2010 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <phil@philkern.de>:
Extra info received and filed, but not forwarded. (Mon, 22 Feb 2010 23:39:06 GMT) Full text and rfc822 format available.

Message #41 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Philipp Kern <phil@philkern.de>
To: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>, 554174-quiet@bugs.debian.org
Cc: Kari Pahula <kaol@debian.org>
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Tue, 23 Feb 2010 00:38:14 +0100
[Message part 1 (text/plain, inline)]
Andrea,

On Fri, Feb 12, 2010 at 03:37:46PM +0100, Andrea Lusuardi - UoVoBW wrote:
> On Fri, 12 Feb 2010 15:39:20 +0200
> Kari Pahula <kaol@debian.org> wrote:
> 
> > Let's try out some more things.
> > 
> > Please try
> > gdb --args /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1/
> > --interactive
> > 
> > and type "where" when you get the segfault.
> > 
> 
> i think there might be something wrong wih what i am doing, because i
> get:
> 
> uovobw@flatline:~$ gdb --args /usr/lib/ghc-6.12.1/lib/ghc
> -B/usr/lib/ghc-6.12.1/ --interactive 
> [snip the license]
> This GDB was configured as "x86_64-linux-gnu".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>...
> Reading symbols from /usr/lib/ghc-6.12.1/lib/ghc...(no debugging
> symbols found)...done. 
> (gdb) where
> No stack.
> (gdb) 
> 
> that "no debugging symbols found" made me think i need to install the
> ghc6-gdb package, but i can't find it in the repositories. there is a
> ghc6-prof package, but from apt i read it's used for profiling, and
> installing it in fact does not change the output. Hints?
> thanks again

I think you want to type in "run" first before doing "where", as gdb will
by default only load the binary into memory but not execute it.

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#554174; Package ghc6. (Tue, 23 Feb 2010 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Tue, 23 Feb 2010 12:03:03 GMT) Full text and rfc822 format available.

Message #46 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
Cc: 554174-quiet@bugs.debian.org, Kari Pahula <kaol@debian.org>
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Tue, 23 Feb 2010 13:00:09 +0100
[Message part 1 (text/plain, inline)]
On Tue, 23 Feb 2010 00:38:14 +0100
Philipp Kern <phil@philkern.de> wrote:

> I think you want to type in "run" first before doing "where", as gdb
> will by default only load the binary into memory but not execute it.

yes, you are right, thanks.
i run it and the output was:

uovobw@flatline:~$ gdb --args /usr/lib/ghc-6.12.1/lib/ghc
-B/usr/lib/ghc-6.12.1/ --interactive 
GNU gdb (GDB) 7.0.1-debian
[copyright stuff snipped]
Reading symbols from /usr/lib/ghc-6.12.1/lib/ghc...(no debugging
symbols found)...done.
(gdb) run                       
Starting program: /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1/
--interactive 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff67ff910 (LWP 20705)]
[New Thread 0x7ffff5bf8910 (LWP 20706)]
GHCi, version 6.12.1: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
                                
Program received signal SIGSEGV, Segmentation fault.
0x000000000178d776 in ?? ()     
(gdb) where
#0  0x000000000178d776 in ?? () 
#1  0x0000000000000000 in ?? () 
(gdb)                           

is this useful? 
thanks again for your time

-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Message sent on to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug#554174. (Tue, 23 Feb 2010 12:15:05 GMT) Full text and rfc822 format available.

Message #49 received at 554174-submitter@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 554174-submitter@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Tue, 23 Feb 2010 14:13:48 +0200
On Tue, Feb 23, 2010 at 01:00:09PM +0100, Andrea Lusuardi - UoVoBW wrote:
> Program received signal SIGSEGV, Segmentation fault.
> 0x000000000178d776 in ?? ()     
> (gdb) where
> #0  0x000000000178d776 in ?? () 
> #1  0x0000000000000000 in ?? () 
> (gdb)                           
> 
> is this useful? 

Unfortunately not.

Let's try to narrow this down a bit.  Could you please try setting up
a clean chroot environment and try ghci out there?  See man
debootstrap for instructions on how to do this.  You may need a few GB
of disk space for this.




Information stored :
Bug#554174; Package ghc6. (Tue, 23 Feb 2010 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Tue, 23 Feb 2010 15:57:06 GMT) Full text and rfc822 format available.

Message #54 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
To: Kari Pahula <kaol@debian.org>, 554174-quiet@bugs.debian.org
Cc: 554174-submitter@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Tue, 23 Feb 2010 16:54:11 +0100
[Message part 1 (text/plain, inline)]
On Tue, 23 Feb 2010 14:13:48 +0200
Kari Pahula <kaol@debian.org> wrote:
> Let's try to narrow this down a bit.  Could you please try setting up
> a clean chroot environment and try ghci out there?  See man
> debootstrap for instructions on how to do this.  You may need a few GB
> of disk space for this.

i just did the chroot, a debian sid with deboostrap from the mirror
ftp.de.debian.org (the .it. one was way too slow) 

debootstrap sid ./tmp_deb/ http://ftp.de.debian.org/debian

and installed both ghc6 and gdb in the chroot. 
i then chrooted and:

gdb --args /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1/
--interactive

but the output is the very same i get on _my_ real machine:

(gdb) run
Starting program: /usr/lib/ghc-6.12.1/lib/ghc -B/usr/lib/ghc-6.12.1/
--interactive
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (it_IT@euro)
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff67ff910 (LWP 9622)]
[New Thread 0x7ffff5dfb910 (LWP 9623)]
GHCi, version 6.12.1: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.

Program received signal SIGSEGV, Segmentation fault.
0x000000000178d776 in ?? ()
(gdb) where
#0  0x000000000178d776 in ?? ()
#1  0x0000000000000000 in ?? ()
(gdb) 

and the ghc segfaults no matter what. the versions are the same, the
mirrors are the same, the procedure and commands i give are the same...
any other ideas? 
thanks again

-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Message sent on to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug#554174. (Tue, 23 Feb 2010 16:06:13 GMT) Full text and rfc822 format available.

Message sent on to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug#554174. (Mon, 01 Mar 2010 08:18:02 GMT) Full text and rfc822 format available.

Message #60 received at 554174-submitter@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 554174-submitter@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Mon, 1 Mar 2010 10:15:17 +0200
On Tue, Feb 23, 2010 at 04:54:11PM +0100, Andrea Lusuardi - UoVoBW wrote:
> i just did the chroot, a debian sid with deboostrap from the mirror
> ftp.de.debian.org (the .it. one was way too slow) 

Okay, so that rules out any local changes, save for the kernel.

> Kernel: Linux 2.6.32-rc5 (SMP w/2 CPU cores; PREEMPT)

This is from your initial bug report.  Looks like you've built your
own kernel.  Are you still using it?  What would happen if you tried a
stock kernel from Debian?

It seems a bit unlikely to me that changing the kernel would affect
this, but it's worth a try.




Information stored :
Bug#554174; Package ghc6. (Mon, 01 Mar 2010 13:03:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Mon, 01 Mar 2010 13:03:17 GMT) Full text and rfc822 format available.

Message #65 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
To: Kari Pahula <kaol@debian.org>, 554174-quiet@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Mon, 1 Mar 2010 14:01:58 +0100
[Message part 1 (text/plain, inline)]
On Mon, 1 Mar 2010 10:15:17 +0200
Kari Pahula <kaol@debian.org> wrote:

> > Kernel: Linux 2.6.32-rc5 (SMP w/2 CPU cores; PREEMPT)
> 
> This is from your initial bug report.  Looks like you've built your
> own kernel.  Are you still using it?  What would happen if you tried a
> stock kernel from Debian?

i usually build my own, since that bug report i built and used every
version up to  Linux flatline 2.6.33-rc8 #6 SMP PREEMPT that is the one
i am running now. Due to a problem in nvidia, i had to use for a while
the kernel from the debian package, but the problem still shows, so i
think it might not be kernel related.

> It seems a bit unlikely to me that changing the kernel would affect
> this, but it's worth a try.

it seemed unlikely to me too, but what else  can i look into?
thanks again for your time, if the bug seems unsolvable, the problem
might be a misconfiguration on my side, i do not want to steal too much
time from you. it would be nice if other users reported a similar bug,
but it looks like it's only me.


-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#554174; Package ghc6. (Fri, 05 Mar 2010 16:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 05 Mar 2010 16:57:11 GMT) Full text and rfc822 format available.

Message #70 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>, 554174-quiet@bugs.debian.org
Cc: Kari Pahula <kaol@debian.org>
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 05 Mar 2010 17:55:40 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 01.03.2010, 14:01 +0100 schrieb Andrea Lusuardi - UoVoBW:
> it seemed unlikely to me too, but what else  can i look into?
> thanks again for your time, if the bug seems unsolvable, the problem
> might be a misconfiguration on my side, i do not want to steal too
> much time from you. it would be nice if other users reported a similar
> bug, but it looks like it's only me. 

now that the ghc package is in unstable for 10 days, the bug is actually
holding back the transition (not exclusively, but still). Kaol, do you
want to close the bug now? Or ask the release team for a squeeze-ignore
tag?

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#554174; Package ghc6. (Fri, 05 Mar 2010 18:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>:
Extra info received and filed, but not forwarded. (Fri, 05 Mar 2010 18:27:10 GMT) Full text and rfc822 format available.

Message #75 received at 554174-quiet@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi - UoVoBW <lusuarda@cs.unibo.it>
To: Joachim Breitner <nomeata@debian.org>
Cc: 554174-quiet@bugs.debian.org, Kari Pahula <kaol@debian.org>
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Fri, 5 Mar 2010 19:23:59 +0100
[Message part 1 (text/plain, inline)]
On Fri, 05 Mar 2010 17:55:40 +0100
Joachim Breitner <nomeata@debian.org> wrote:

> now that the ghc package is in unstable for 10 days, the bug is
> actually holding back the transition (not exclusively, but still).
> Kaol, do you want to close the bug now? Or ask the release team for a
> squeeze-ignore tag?

the problem is still present, but i strongly suspect it's a problem on
my machine only or a misconfiguration, so since nobody else is
reporting or confirming, i think it might be closed...
i do not really want to annoy, if it's holding back the transition and
is only me, let's close it :)
thanks everyone for your time and work, 
bye

-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Severity set to 'important' from 'grave' Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 17:30:02 GMT) Full text and rfc822 format available.

Message sent on to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug#554174. (Mon, 20 Dec 2010 12:09:03 GMT) Full text and rfc822 format available.

Message #80 received at 554174-submitter@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael-debianbugs@kontesti.me>
To: 554174-submitter@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Mon, 20 Dec 2010 12:08:16 +0000
I was browsing through bugs tagged for help and this one made me really 
curious. I hope you don't mind me nosing in :-P

On Fri, Feb 12, 2010 at 11:49:15AM +0100, Andrea Lusuardi - UoVoBW wrote:
> On Fri, 12 Feb 2010 12:19:51 +0200
> Kari Pahula <kaol@debian.org> wrote:
> 
> > Sorry about deferring replying to this.  I was busy getting 6.12.1
> > packaged and didn't want to consider problems with 6.10 too much
> > before getting that done.
> 
> no problem at all, i used the precompiled version from the website in
> the meantime. thanks for the answer!

I think perhaps one important information regarding the bug is being 
ignored. So binaries from http://www.haskell.org/ghc/download_ghc_6_12_3 
work fine, ghci and all? Which are you using? 
 
	ghc-6.12.3-i386-unknown-linux-n.tar.bz2 
 
or 
 
	ghc-6.12.3-i386-unknown-linux-t.tar.bz2 
 
Maybe looking at how upstream compiles those packages would give a good 
hint about what makes one binary segfault but not the other. However, I 
have not found any documentation on how they've built those two 
packages. Perhaps, if it's not asking too much, getting Andrea to 
 
./configure --configure=/tmp/ghc && make && make install 
 
upstream's source package could give us an idea of what's up. What you 
guys think? 




Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#554174; Package ghc6. (Sun, 30 Jan 2011 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi <lusuarda@cs.unibo.it>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. (Sun, 30 Jan 2011 21:39:03 GMT) Full text and rfc822 format available.

Message #85 received at 554174@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi <lusuarda@cs.unibo.it>
To: 554174@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Sun, 30 Jan 2011 22:27:15 +0100
[Message part 1 (text/plain, inline)]
sorry  for the long delay,but for some reason the email did not reach
me - i think because i used up all the disk quota in my university
account - and i noticed this today while digging the todo list. 

> I think perhaps one important information regarding the bug is being 
> ignored. So binaries from
> http://www.haskell.org/ghc/download_ghc_6_12_3 work fine, ghci and
> all? Which are you using? 
> 	ghc-6.12.3-i386-unknown-linux-n.tar.bz2 
>  
> or 
>  
> 	ghc-6.12.3-i386-unknown-linux-t.tar.bz2 

i downloaded from
http://www.haskell.org/ghc/dist/6.12.3/ghc-6.12.3-src.tar.bz2
and am now trying to build and install.

> upstream's source package could give us an idea of what's up. What
> you guys think? 

here is a report:

----------------------------------------------------------------------
Configure completed successfully.

   Building GHC version  : 6.12.3

   Build platform        : x86_64-unknown-linux
   Host platform         : x86_64-unknown-linux
   Target platform       : x86_64-unknown-linux

   Bootstrapping using   : /usr/bin/ghc
      which is version   : 6.12.3

   Using GCC             : /usr/bin/gcc
      which is version   : 4.4.5

   ld       : /usr/bin/ld
   Happy    :  ()
   Alex     : /usr/bin/alex (2.3.3)
   Python   : /usr/bin/python
   Perl     : /usr/bin/perl
   dblatex  : 
   xsltproc : /usr/bin/xsltproc

   HsColour was not found; documentation will not contain source links

   Building DocBook HTML documentation : NO
   Building DocBook PS documentation   : NO
   Building DocBook PDF documentation  : NO
----------------------------------------------------------------------

at the moment i have ghc6 installed as
ghc6 6.12.3-1
and  it still segfaults
uovobw@flatline:~$ ghci
GHCi, version 6.12.3: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Segmentation fault
uovobw@flatline:~$ 
as before.

i then compiled the aforementioned source with a standard 

make

and after boiling my cpu i obtained the binaries, installed them and
executed, they segfault anyway. 

uovobw@flatline:~/tmp/HASKELL/ghc-6.12.3$ /home/uovobw/tmp/HASKELL/ghc_install/bin/ghci
GHCi, version 6.12.3: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Loading package ffi-1.0 ... linking ... done.
Segmentation fault
uovobw@flatline:~/tmp/HASKELL/ghc-6.12.3$ 

i am quite lost here...
any other places to look into?

-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#554174; Package ghc6. (Mon, 31 Jan 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. (Mon, 31 Jan 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #90 received at 554174@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Andrea Lusuardi <lusuarda@cs.unibo.it>, 554174@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Mon, 31 Jan 2011 13:29:54 +0530
[Message part 1 (text/plain, inline)]
Hi,

Am Sonntag, den 30.01.2011, 22:27 +0100 schrieb Andrea Lusuardi:
> i am quite lost here...
> any other places to look into?

now that 7.0 is on its way into Debian, we should check whether that
version still has this issue. Since you are on i386, you can try the
packages I uploaded here:
http://people.debian.org/~nomeata/ghc-7/

Note that installing this will remove any installed Debian packages
containing haskell libraries. If that is not ok, you could try it in a
chroot environment.

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#554174; Package ghc6. (Mon, 31 Jan 2011 11:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Lusuardi <lusuarda@cs.unibo.it>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. (Mon, 31 Jan 2011 11:21:10 GMT) Full text and rfc822 format available.

Message #95 received at 554174@bugs.debian.org (full text, mbox):

From: Andrea Lusuardi <lusuarda@cs.unibo.it>
To: Joachim Breitner <nomeata@debian.org>, 554174@bugs.debian.org
Subject: Re: Bug#554174: Does ghci still crash for you?
Date: Mon, 31 Jan 2011 12:19:32 +0100
[Message part 1 (text/plain, inline)]
On Mon, 31 Jan 2011 13:29:54 +0530
Joachim Breitner <nomeata@debian.org> wrote:

> Hi,

> now that 7.0 is on its way into Debian, we should check whether that
> version still has this issue. Since you are on i386, you can try the
> packages I uploaded here:
> http://people.debian.org/~nomeata/ghc-7/

i am on x86_64, but i see the packages there for my arch.
 
> Note that installing this will remove any installed Debian packages
> containing haskell libraries. If that is not ok, you could try it in a
> chroot environment.

downloaded and installed via dpkg -i , it now works

uovobw@flatline:~$ ghci
GHCi, version 7.0.1: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Prelude> 

i still have  no clue about the 6.x version segfaults, but the
important thing is to have a working version in Debian.
thanks for you time
bye

-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 05 Mar 2011 19:06:03 GMT) Full text and rfc822 format available.

Notification sent to Andrea Lusuardi - uovobw <lusuarda@cs.unibo.it>:
Bug acknowledged by developer. (Sat, 05 Mar 2011 19:06:03 GMT) Full text and rfc822 format available.

Message #100 received at 554174-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 554174-close@bugs.debian.org
Subject: Bug#554174: fixed in ghc 7.0.2-1
Date: Sat, 05 Mar 2011 19:03:04 +0000
Source: ghc
Source-Version: 7.0.2-1

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive:

ghc-doc_7.0.2-1_all.deb
  to main/g/ghc/ghc-doc_7.0.2-1_all.deb
ghc-dynamic_7.0.2-1_amd64.deb
  to main/g/ghc/ghc-dynamic_7.0.2-1_amd64.deb
ghc-haddock_7.0.2-1_amd64.deb
  to main/g/ghc/ghc-haddock_7.0.2-1_amd64.deb
ghc-prof_7.0.2-1_amd64.deb
  to main/g/ghc/ghc-prof_7.0.2-1_amd64.deb
ghc6-doc_7.0.2-1_all.deb
  to main/g/ghc/ghc6-doc_7.0.2-1_all.deb
ghc6-prof_7.0.2-1_all.deb
  to main/g/ghc/ghc6-prof_7.0.2-1_all.deb
ghc6_7.0.2-1_all.deb
  to main/g/ghc/ghc6_7.0.2-1_all.deb
ghc_7.0.2-1.debian.tar.gz
  to main/g/ghc/ghc_7.0.2-1.debian.tar.gz
ghc_7.0.2-1.dsc
  to main/g/ghc/ghc_7.0.2-1.dsc
ghc_7.0.2-1_amd64.deb
  to main/g/ghc/ghc_7.0.2-1_amd64.deb
ghc_7.0.2.orig.tar.bz2
  to main/g/ghc/ghc_7.0.2.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 554174@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Mar 2011 22:04:21 +0530
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.0.2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 554174
Changes: 
 ghc (7.0.2-1) experimental; urgency=low
 .
   * (Closes: 554174) Segfaults at startup not observable any more
   * Tweak debian/copyright
   * New upstream release (Should help to close 616494)
Checksums-Sha1: 
 49e5b217e112d8e7437b5ab4cf4445d07d9190d9 1366 ghc_7.0.2-1.dsc
 6303f73daa3ef2c4df1bd24b2d97ae81d7944e63 24202807 ghc_7.0.2.orig.tar.bz2
 282c13d192b66259d05cfadf16754c6627820f4b 43279 ghc_7.0.2-1.debian.tar.gz
 ae2cbb1e6b01832b00c425a4dd0b5ad42842285f 3649086 ghc-doc_7.0.2-1_all.deb
 27e6f3a776821f9c6e9d283ee353bb43437647d8 23374 ghc6_7.0.2-1_all.deb
 c5382718d8cdff1914b11a4d8f8f5273791d6bb3 23388 ghc6-doc_7.0.2-1_all.deb
 59fdf020b8d07a0b1ebee7bfc07f10ea0cf991bf 22934 ghc6-prof_7.0.2-1_all.deb
 83e300f822437950c5c674f6556db268dcd338a2 40517258 ghc_7.0.2-1_amd64.deb
 ff35d998974260def5cd0baff52d65218dc3a597 41674204 ghc-prof_7.0.2-1_amd64.deb
 a94f8be843ecc667717efba284c58e3b9b6b69a8 18660662 ghc-dynamic_7.0.2-1_amd64.deb
 b20ff11466dd2b7654df5fe7c5e51e3056836825 5630902 ghc-haddock_7.0.2-1_amd64.deb
Checksums-Sha256: 
 4a006ff71c7cee6ea16d652e945b399439efdc8e331eaca8473df52ca0b05c46 1366 ghc_7.0.2-1.dsc
 f0551f1af2f008a8a14a888b70c0557e00dd04f9ae309ac91897306cd04a6668 24202807 ghc_7.0.2.orig.tar.bz2
 6f151ac4eb4d6fe202565f4d4300db67b4987057560df72c1e5b48ff1fa22552 43279 ghc_7.0.2-1.debian.tar.gz
 b32e2465426c1c6bbb94cdff0d64a48fce4314d82a0d8f6f052333cbb7342199 3649086 ghc-doc_7.0.2-1_all.deb
 eec604b918ecb3bf3ef4215b7d13de1f8936c02ecb8d53b575c5a4f664e1759a 23374 ghc6_7.0.2-1_all.deb
 94c20d03357d60d0d312ade17dabe01ef2cc33848ac2c988e4f544a5db1b964e 23388 ghc6-doc_7.0.2-1_all.deb
 df61812ee05e27b7d86b03dd45e5f89b83e560a2e4074c511b4c7eac15fd7364 22934 ghc6-prof_7.0.2-1_all.deb
 0e1bd566be80595005fc56da9df1c945e284063a569600f5ec2467f5ba796e3f 40517258 ghc_7.0.2-1_amd64.deb
 53ad0889a19f2828338bdcf53f0cf2cb0ff130437c5110575e8bfab96949818a 41674204 ghc-prof_7.0.2-1_amd64.deb
 0f9630665317c90d782557c98891c549b2943de047ed9373312d32f6a3f4f331 18660662 ghc-dynamic_7.0.2-1_amd64.deb
 ce0b4d748efa8c6effc0d5b647137eddc0a6587a39e95944a90b4a5a1925d7f9 5630902 ghc-haddock_7.0.2-1_amd64.deb
Files: 
 4351c6c1b7c41933b124f06c2d83623c 1366 haskell extra ghc_7.0.2-1.dsc
 946a18a0dc30437db72c0d3fdf26ca42 24202807 haskell extra ghc_7.0.2.orig.tar.bz2
 ac96671e1ee87c3502c247b000420915 43279 haskell extra ghc_7.0.2-1.debian.tar.gz
 fc404cf0be61861b96c4ab0da360bcd4 3649086 doc extra ghc-doc_7.0.2-1_all.deb
 b5f585c9f996c32db1d8596719f09eac 23374 haskell extra ghc6_7.0.2-1_all.deb
 35c9d4c2bf5c88d14bbf3bead8814fbb 23388 doc extra ghc6-doc_7.0.2-1_all.deb
 4c9f5b89cdb9494d6a8cda68376db06e 22934 haskell extra ghc6-prof_7.0.2-1_all.deb
 ad5f03b597f1e83007ede0e5bb6013ff 40517258 haskell extra ghc_7.0.2-1_amd64.deb
 0fa4d590d7fd5537312b1b669191f517 41674204 haskell extra ghc-prof_7.0.2-1_amd64.deb
 4a042ef5a2075b6d44767526d66d33a6 18660662 haskell extra ghc-dynamic_7.0.2-1_amd64.deb
 ad21adf1a8fafa58180a740f6d59a40f 5630902 haskell extra ghc-haddock_7.0.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1ydGkACgkQ9ijrk0dDIGzQWgCgvdQk41X39Ds4W2KEnw4sjGNI
3KEAoJ6VYvgnyp3mmCfeB3fsWlmTCB3d
=ryq8
-----END PGP SIGNATURE-----





Bug reassigned from package 'ghc6' to 'ghc'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ghc6/6.10.4-1. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:09 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions ghc/7.0.2-1. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Apr 2011 07:35:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:47:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.